<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: fiches_reindex_controller.class.php,v 1.1.4.2 2025/12/03 07:33:11 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class fiches_reindex_controller extends fiches_controller {

	public static function proceed($id=0) {
	    global $action;
	    
	    $model_instance = static::get_model_instance($id);
	    switch($action){
	        case 'run':
	            $model_instance->reindex_all();
	            break;
	        default:
	            $model_instance->show_reindex_form();
	            break;
	    }
	}
}